summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-04-20 02:25:02 +0200
committer Willy Sudiarto Raharjo2015-04-20 02:25:50 +0200
commitaad594fa4a9efd12ced73bbcf4e3d57c59bc98c8 (patch)
tree7467032a9c725a74d7ed64158abb94057e2b7015 /desktop
parent6fc08fd81fa40ad9b0f5e9e1dde9ab15aa9118c5 (diff)
downloadslackbuilds-aad594fa4a9efd12ced73bbcf4e3d57c59bc98c8.tar.gz
desktop/faience-icon-theme: Added (gnome icon theme).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/faience-icon-theme/README4
-rw-r--r--desktop/faience-icon-theme/doinst.sh13
-rw-r--r--desktop/faience-icon-theme/faience-icon-theme.SlackBuild71
-rw-r--r--desktop/faience-icon-theme/faience-icon-theme.info10
-rw-r--r--desktop/faience-icon-theme/slack-desc19
5 files changed, 117 insertions, 0 deletions
diff --git a/desktop/faience-icon-theme/README b/desktop/faience-icon-theme/README
new file mode 100644
index 0000000000..c9b6c8dfc2
--- /dev/null
+++ b/desktop/faience-icon-theme/README
@@ -0,0 +1,4 @@
+Faience icon theme for GNOME, XFCE and other DEs|WMs GTK+.
+
+Note: Some icons are missing, thus it heavily depends on faenza-icon-theme
+in which this project is based on.
diff --git a/desktop/faience-icon-theme/doinst.sh b/desktop/faience-icon-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/faience-icon-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/faience-icon-theme/faience-icon-theme.SlackBuild b/desktop/faience-icon-theme/faience-icon-theme.SlackBuild
new file mode 100644
index 0000000000..689a3a0f2d
--- /dev/null
+++ b/desktop/faience-icon-theme/faience-icon-theme.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+# Slackware build script for faience-icon-theme
+# Homepage: http://tiheum.deviantart.com/art/Faience-icon-theme-255099649
+
+# Copyright 2015 Edinaldo P. Silva <edps.mundognu@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="faience-icon-theme"
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+rm -fr $TMP/$PRGNAM-$VERSION $PKG
+mkdir -p $TMP $PKG $OUTPUT $TMP/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION
+unzip $CWD/$PRGNAM\_$VERSION.zip
+chown -R root.root .
+find . -type f -exec chmod 644 {} \;
+find . -type d -exec chmod 755 {} \;
+
+TARBALLS="Faience Faience-Azur Faience-Ocre Faience-Claire"
+
+for i in $TARBALLS; do
+ tar -xvf $i.tar.gz
+done
+
+mkdir -p $PKG/usr/share/icons
+
+cp -a Faience \
+ Faience-Azur \
+ Faience-Ocre \
+ Faience-Claire \
+ $PKG/usr/share/icons
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS COPYING ChangeLog README INSTALL UNINSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/faience-icon-theme/faience-icon-theme.info b/desktop/faience-icon-theme/faience-icon-theme.info
new file mode 100644
index 0000000000..621748ae9c
--- /dev/null
+++ b/desktop/faience-icon-theme/faience-icon-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="faience-icon-theme"
+VERSION="0.5"
+HOMEPAGE="http://tiheum.deviantart.com/art/Faience-icon-theme-255099649"
+DOWNLOAD="http://faience-theme.googlecode.com/files/faience-icon-theme_0.5.zip"
+MD5SUM="23a756d7d0581a34acc7231a2f105edd"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="faenza-icon-theme"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/faience-icon-theme/slack-desc b/desktop/faience-icon-theme/slack-desc
new file mode 100644
index 0000000000..d2ec9c1b1c
--- /dev/null
+++ b/desktop/faience-icon-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+faience-icon-theme: faience-icon-theme (gnome icon theme)
+faience-icon-theme:
+faience-icon-theme: Faience icon theme for Slackware.
+faience-icon-theme:
+faience-icon-theme: Home Page:
+faience-icon-theme: http://tiheum.deviantart.com/art/Faience-icon-theme-255099649
+faience-icon-theme:
+faience-icon-theme:
+faience-icon-theme:
+faience-icon-theme:
+faience-icon-theme: